OpenSUSE 安装 kde实现环境和安装步骤

系统 Linux
KDE4不仅带来了一系列新的技术,包括Solid、Phonon、Decibel等,而且具有全新的桌面外观,如桌面外壳Plasma、外观界面Oxygen。同时,KDE4也引入了一些新的应用程序,像文件管理器Dolphin、文档查看器Okular、桌面地球仪Marble、图片查看器Gwenview,等等。

KDE即KDesktopEnvironment的简称,它是现今Linux和Unix平台上最为流行的桌面环境之一。KDE4是KDE桌面环境的下一代版本。值得所有KDE用户为之庆贺的是,KDE4的首个稳定版本4.0.0在正式发布了。

KDE4不仅带来了一系列新的技术,包括Solid、Phonon、Decibel等,而且具有全新的桌面外观,如桌面外壳Plasma、外观界面Oxygen。同时,KDE4也引入了一些新的应用程序,像文件管理器Dolphin、文档查看器Okular、桌面地球仪Marble、图片查看器Gwenview,等等。另外,一些KDE程序在KDE4中得到了显著地增强,如窗口管理器KWin获得了复合特性、对Konsole控制台进行了整修等。而更多的KDE程序或已移植到KDE4平台(如Amarok2、Ktorrent),或正在向KDE4平台移植。

毫无疑问,KDE4让人充满了深深的吸引力。若你想尝试OpenSUSE 安装 kde,可以选用已经预装了KDE4.0.0的Linux发行版:KDEFourLive、Kubuntu、Mandriva、Debian等。在KDE4.0发布之后,可能有的朋友在使用包含它的LiveCD进行体验。如果你打算让KDE4.0在自己的Linux系统中安家,那么摆在你面前的首要问题就是怎样安装KDE4.0。我们搜集了一些OpenSUSE 安装 kde4.0的资料,希望对你有所帮助。

在U(K)buntu7.10Gutsy中OpenSUSE 安装 kde
如果你是Ubuntu或KubuntuGutsy用户,那么可以按如下步骤来OpenSUSE 安装 kde4.0:


1、编辑/etc/apt/sources.list文件:
sudovim/etc/apt/sources.list
然后,添加下列内容:
debhttp://ppa.launchpad.net/kubuntu-members-kde4/ubuntugutsymain
2、安装KDE4.0包:
sudoaptitudeupdate
sudoaptitudeinstallkde4-core
注意:如果你有安装过KDE4.0之前的版本,需要先使用以下命令删除相关包,以免冲突:
sudoaptituderemovekdelibs5kde4base-datakde4libs-data
3、从登录管理器中选择KDE4可以进入KDE4桌面环境。

在ArchLinux中安装KDE4.0
对ArchLinux用户而言,可以安装KDEmod4。目前,KDEmod4位于kdemod-testing仓库。要安装KDEmod4,可执行下列步骤:


1、启用ArchLinux的testing仓库,并添加kdemod-testing仓库地址。你需要编辑/etc/pacman.conf文件:
vim/etc/pacman.conf
然后,删掉以下两行前面的注释符:
[testing]
Include=/etc/pacman.d/testing
并添加kdemod-testing仓库地址:
[kdemod-testing]
Server=http://kdemod.ath.cx/repo/testing/i686


由于在我这里上面的地址被阻尼了,所以我换用:
[kdemod-testing]
Server=http://kdemod.podzone.net/repo/testing/i686/
接着,同步一下:
pacman-Sy
2、(可选)如果你已安装KDEmod3.x,则执行:
pacman-Rdqt-enhanced
pacman-Rdkdemod-gtk-qt-engine
pacman-Skdemod-testing/qt-enhanced
pacman-Skdemod-testing/kdemod-gtk-qt-engin
3、执行下列命令更新系统:
pacman-Su
4、删除qt:
pacman-Rdqt
5、安装KDE4.0:
基本的KDE4桌面:
pacman-Skdemod4
完整的KDE4桌面:
pacman-Skdemod4-complete
安装简体中文语言:
pacman-Skdemod4-kde-l10n-zh_cn

注意:事实上,在我执行第四步后,再执行第五步时,出现了下列依赖问题:
resolvingdependencies...
lookingforinter-conflicts...
error:failedtopreparetransaction(couldnotsatisfydependencies)
::strigi:requiresqt>=4.3.2
::soprano:requiresqt>=4.3.2
::telepathy-qt:requiresqt>=4.3.2
::tapioca-qt:requiresqt>=4.3.2
::qimageblitz:requiresqt>=4.3.2
::qca:requiresqt>=4.3.2


根据KDEmod论坛的提示,执行以下命令后解决:
pacman-Sqt
pacman-Sstrigisopranotelepathy-qttapioca-qtqimageblitzqca
pacman-Rdqt
pacman-Sqtmod


在openSUSE10.3中安装KDE4.0
openSUSE10.3的用户可以使用下面的一键安装按钮获得KDE4.0桌面环境:

或者,你也可以安装一个更基本的KDE4桌面。开发者还可以安装KDE4编译依赖,以便从源代码编译KDE4.0。
欢迎朋友们提供自己的KDE4.0安装方法,以充实本文。


原文链接:http://linuxtoy.org/archives/how-to-install-kde-40.html

【编辑推荐】

  1. OpenSUSE中YaST包管理器的更新实战
  2. Linux操作系统中的智者 OpenSUSE 11.2
  3. OpenSUSE特性与包构建服务
  4. OpenSUSE强大功能的系统介绍
  5. OpenSUSE11.2安装视频

 

责任编辑:chenqingxiang 来源: 互联网
相关推荐

2010-06-09 11:05:48

Opensuse安装m

2010-06-09 09:33:41

Opensuse硬盘

2010-06-08 12:43:58

硬盘安装openSUS

2010-06-11 17:21:02

OpenSUSE U盘

2010-06-11 12:53:56

openSUSE播放器

2010-06-08 15:56:13

OpenSUSE光盘安

2010-06-11 14:50:48

虚拟机安装openSU

2010-06-08 10:34:23

opensuse 10

2010-06-08 18:45:21

Ubuntu和Open

2010-06-10 11:19:37

xp安装openSUS

2010-06-11 16:19:23

vmware安装ope

2010-06-08 18:59:03

OpenSUSE li

2010-06-08 14:01:18

OpenSUSE 安装

2010-06-08 18:50:30

OpenSUSE 输入

2010-06-10 13:56:22

openSUSE软件包

2010-06-11 16:46:06

openSUSE Fl

2010-06-08 15:02:39

Opensuse u盘

2010-06-09 11:17:34

openSUSE Mp

2011-03-23 16:08:15

openSUSELAMP

2010-06-11 13:57:27

openSUSE入门
点赞
收藏

51CTO技术栈公众号